-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local VLANs = ProcessingFlow[2].Destination.VLANs
local members = {}
for _, VLAN in pairs(VLANs) do
    local vid = string.match(VLAN, 'VLANs/(.*)')
    table.insert(members,
        string.format('/redfish/v1/Systems/%s/EthernetInterfaces/%s/VLANs/%s', Uri.systemid,
            Uri.ethernetinterfaceid, vid))
end
return members
